Bug 798555 - French : bug tracking several pages... Text need to be translated to french
French : bug tracking several pages... Text need to be translated to french
Status: CLOSED ERRATA
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Jiri Tomasek
Rehana
:
: 800305 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 04:00 EST by Shveta
Modified: 2012-06-01 16:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-15 18:47:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
doc (2.49 MB, application/msword)
2012-02-29 04:00 EST, Shveta
no flags Details
ss1 (217.71 KB, image/png)
2012-04-03 05:46 EDT, Rehana
no flags Details
ss2 (201.41 KB, image/png)
2012-04-03 05:47 EDT, Rehana
no flags Details
Error (216.11 KB, image/png)
2012-04-03 05:48 EDT, Rehana
no flags Details
ss3 (231.78 KB, image/png)
2012-04-03 05:48 EDT, Rehana
no flags Details
ss4 (188.16 KB, image/png)
2012-04-04 00:49 EDT, Rehana
no flags Details
ulimited_fr (223.17 KB, image/png)
2012-04-04 02:41 EDT, Rehana
no flags Details
unlimited_2 (216.76 KB, image/png)
2012-04-04 03:19 EDT, Rehana
no flags Details

  None (edit)
Description Shveta 2012-02-29 04:00:39 EST
Created attachment 566494 [details]
doc

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Enabled french , At many places English can be seen
2. Screenshot attached.
3.
  
Actual results:


Expected results:


Additional info:

rpm -qa|grep aeolus
aeolus-conductor-0.8.0-38.el6.noarch
aeolus-all-0.8.0-38.el6.noarch
aeolus-conductor-daemons-0.8.0-38.el6.noarch
aeolus-configure-2.5.0-15.el6.noarch
rubygem-aeolus-image-0.3.0-10.el6.noarch
rubygem-aeolus-cli-0.3.0-11.el6.noarch
aeolus-conductor-doc-0.8.0-38.el6.noarch
Comment 1 Matt Wagner 2012-03-06 17:53:04 EST
Pushed to master after ACKing on-list:

commit d6339725c86212329e85d1639644e9812ae96037
Author: Jiri Tomasek <jtomasek@redhat.com>
Date:   Tue Mar 6 17:28:36 2012 +0100

    BZ798555 added default translations from rails-i18n gem which should be used in later versions

commit 0a4d3db3dcc493f55e13fbeae12649fdd2b0055a
Author: Jiri Tomasek <jtomasek@redhat.com>
Date:   Tue Mar 6 17:28:36 2012 +0100

    BZ798555 added default translations from rails-i18n gem which should be used in later versions
Comment 2 Tzu-Mainn Chen 2012-03-08 13:52:55 EST
*** Bug 800305 has been marked as a duplicate of this bug. ***
Comment 3 Jiri Tomasek 2012-03-09 05:15:12 EST
product related patch implementing changes for BZ798575 and BZ798555 has been posted in to deltacloud-internal@redhat.com [DELTACLOUD-INTERNAL] [PATCH Conductor] BZ798575 and BZ798555 product changes
Comment 5 Jiri Tomasek 2012-03-13 05:49:17 EDT
updated Product patch has been sent to deltacloud-internal: [DELTACLOUD-INTERNAL] [PATCH conductor] Blocker Patch - BZ798575 and BZ798555 product changes
Comment 6 Jiri Tomasek 2012-03-13 10:14:14 EDT
product patch has been pushed to product a63f8f6855a9164d879219140c6ac2f8c7d25bd3
Comment 7 wes hayutin 2012-03-30 14:58:02 EDT
assigning to rehana
Comment 8 Rehana 2012-04-03 05:46:24 EDT
Observed that still some more text needs to be translated to French

1) Still some part of the error message like
 "Access Key can't be blank
Secret Access Key can't be blank
Account Number can't be blank
Key can't be blank
Certificate can't be blank" Needs to be translated?(PFA:ss1.png,error.png)

3) Button name like 'Browse' can be translated? (PFA:ss2.png) 

4) Instance status is shown as "Running"/"Pending"/stopped" , (PFA:ss3.png)

additional info:

rpm -qa | grep aeolus
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-0.8.7-1.el6.noarch
aeolus-conductor-doc-0.8.7-1.el6.noarch
aeolus-conductor-daemons-0.8.7-1.el6.noarch
aeolus-configure-2.5.2-1.el6.noarch
aeolus-all-0.8.7-1.el6.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
Comment 9 Rehana 2012-04-03 05:46:55 EDT
Created attachment 574801 [details]
ss1
Comment 10 Rehana 2012-04-03 05:47:26 EDT
Created attachment 574802 [details]
ss2
Comment 11 Rehana 2012-04-03 05:48:08 EDT
Created attachment 574803 [details]
Error
Comment 12 Rehana 2012-04-03 05:48:40 EDT
Created attachment 574804 [details]
ss3
Comment 13 Rehana 2012-04-04 00:48:33 EDT
User status(Active/Inactive) needs to be translated ss4.png
Comment 14 Rehana 2012-04-04 00:49:04 EDT
Created attachment 575029 [details]
ss4
Comment 15 Rehana 2012-04-04 02:41:09 EDT
In the provider account details view page :quota set to 'unlimited' , so the word 'unlimited' should be translated to french. (PFA:unlimited_fr.png)
Comment 16 Rehana 2012-04-04 02:41:46 EDT
Created attachment 575043 [details]
ulimited_fr
Comment 17 Rehana 2012-04-04 03:19:18 EDT
Created attachment 575051 [details]
unlimited_2
Comment 18 Jiri Tomasek 2012-04-04 04:19:03 EDT
fixes posted in https://fedorahosted.org/pipermail/aeolus-devel/2012-April/009844.html
Comment 19 Matt Wagner 2012-04-10 10:27:46 EDT
Looks like this has been pushed.

master: Set of patches:
 3fd8166da1102f51285f19ac62acfec42a0ce96f
 692f5bb8112b4f5b420206403d6b01f1e496f7cd
 7e4b8604e55a9411029e68dcca49ce03f8f58176
 28d6ae319d5c055d827e5ab71e057eae83ddae7f

1.0-product: Single (consolidated?) patch:
 a63f8f6855a9164d879219140c6ac2f8c7d25bd3


Moving to MODIFIED.
Comment 20 Mike Orazi 2012-04-10 10:39:02 EDT
Moving back to post for verification.  I think what happened here is a patch was pushed and it missed some translations so the additional patch on the list should address those.
Comment 21 Matt Wagner 2012-04-10 11:09:21 EDT
So what happened is that master has a set of 4 patches from April, but the one on 1.0-product is an older attempt at fixing the issue. Effectively, then, this is pushed to master but not 1.0-product. I'm going to leave this in POST.
Comment 22 Jiri Tomasek 2012-04-10 11:23:55 EDT
The patches Matt specified (in master and product) are not related to each other. The four patches from April are just another patches which fix the issues Rehana noted in comments. I was convinced that these are not supposed to make it into product, so I just pushed them to master.
Comment 23 errata-xmlrpc 2012-05-15 18:47:59 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0583.html

Note You need to log in before you can comment on or make changes to this bug.